org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._Dl

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child
  All Known Subinterfaces:
    HamletSpec.DL
  All Known Implementing Classes:
    Hamlet.DL
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Dl
      extends HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.DD` | `dd()` Add a DD (definition/description) element.
    `HamletSpec._Dl` | `dd(String cdata)` Add a complete DD element.
    `HamletSpec.DT` | `dt()` Add a DT (term of the item) element.
    `HamletSpec._Dl` | `dt(String cdata)` Add a complete DT element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### dt

          HamletSpec.DT dt()

      Add a DT (term of the item) element.
      Returns:
        a new DT element builder

    - #### dt

          HamletSpec._Dl dt(String cdata)

      Add a complete DT element.
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### dd

          HamletSpec.DD dd()

      Add a DD (definition/description) element.
      Returns:
        a new DD element builder

    - #### dd

          HamletSpec._Dl dd(String cdata)

      Add a complete DD element.
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.